### Function

# Gimp gradient_rename

#### Declaration [src]

    gchar*
    gimp_gradient_rename (
      const gchar* name,
      const gchar* new_name
    )

#### Description [src]

Rename a gradient

This procedure renames a gradient.

Available since: | 2.2

#### Parameters

`name` | `const gchar*`
| The gradient name.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`new_name` | `const gchar*`
| The new name of the gradient.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.

#### Return value

Returns: | `gchar*`
| The actual new name of the gradient. The returned value must be freed with g_free().
| The caller of the function takes ownership of the data, and is responsible for freeing it.
| The value is a NUL terminated UTF-8 string.